@import url(../CSS/fonts.css);

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
    font-family: var(--Josefin);
}
:root{
    /* Colors */
    --sp-color: rgb(17,117,203);
    --primary-color: #fff;
    --secondry-color: #000;

    /* Fonts */
    --Abel: 'Abel', cursive;
    --Anton: 'Anton', cursive;
    --Josefin: 'Josefin', cursive;
    --Lexend: 'Lexend', cursive;
    --Livvic: 'Livvic', cursive;

}

/* Dark Theme */
.dark-theme{
    --sp-color: rgb(226, 135, 6);
    --primary-color: #1e1e1e;
    --secondry-color: #fff;
}

i{
    font-size: 1.3rem;
    color: var(--secondry-color);
    cursor: pointer;
}

.container{
    height: 100%;
    width: 100%;
}

nav{
    min-height: 100px;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: fixed;
    z-index: 99;
    background-color: var(--primary-color);
    border-bottom: 2px solid var(--secondry-color);
}

nav .logo a{
    font-size: 1.3rem;
    font-weight: 600;
    letter-spacing: 1px;
    color: var(--secondry-color);
}

nav ul li{
    display: inline-block;
}

nav ul li a{
    margin: 0 20px;
    font-weight: 600;
    letter-spacing: 1px;
    color: var(--secondry-color);
    transition: .6s;
}

nav ul li:hover a{
    color: var(--sp-color);
}

li .fa-sun{
    display: none;
}
nav .fa-bars{
    display: none;
}

.hero{
    min-height: 689px;
    width: 100%;
    padding: 0 8%;
    padding-top: 8rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
    background-color: var(--primary-color);
}

.social-icons{
    display: flex;
    flex-direction: column;
    width: 5%;
    gap: 20px;
}

.contant-wrapper{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 55%;
    padding: 0 20px;
    z-index: 11;
}

.contant-wrapper h1{
    margin-bottom: 20px;
    font-size: 2.2rem;
    line-height: 0.5rem;
    font-weight: 700;
    letter-spacing: 1px;
    color: var(--secondry-color);
}

.contant-wrapper p{
    margin: 10px 0;
    margin-bottom: 10px;
    width: 80%;
    color: var(--secondry-color);
}

.contant-wrapper h3{
    letter-spacing: 3px;
    font-weight: 500;
    color: var(--secondry-color);
}

button{
    margin-top: 10px;
    padding: 8px 30px;
    width: 150px;
    height: 50px;
    background-color: var(--sp-color);
    outline: none;
    border: none;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--primary-color);
    letter-spacing: 1.5px;
    position: relative;
    transition: .6s;
    cursor: pointer;
}

button:after{
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    bottom: -5px;
    right: -5px;
    background-color: var(--secondry-color);
    z-index: -1;
}

button:hover{
    background-color: var(--secondry-color);
}

button:hover::after{
    background-color: var(--sp-color);
}

button a{
    text-decoration: none;
    color: var(--primary-color);
}

.image{
    height: 500px;
    background-color: var(--sp-color);
    min-width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.image>div{
    height: 110%;
    width: 110%;
    background-color: var(--primary-color);
    animation: rorate 20s linear infinite;
}

@keyframes rorate{
    100%{
        transform: rotate(-360deg);
    }
}

.image img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    height: 70%;
    width: 70%;
}

/*-------About Page------*/
.contant-wrap{
    width: 50%;
    color: var(--secondry-color);
}
.contant-wrap .about-header{
    margin-bottom: 70px;
}


/*-------Contact Page------*/
.form--input{
    display: block;
    width: 100%;
    padding: 0.75rem;
    box-sizing: border-box;
    border-radius: 20px;
    border: 1px solid var(--secondry-color);
    outline: none;
    background: var(--primary-color);
    margin-top: 10px;
    color: var(--secondry-color);
}

.form--input:focus,
textarea:focus{
    border: 5px solid var(--secondry-color);
}

textarea{
    width: 100%;
    margin-top: 10px;
    border: 1px solid var(--secondry-color);
    border-radius: 10px;
    background-color: var(--primary-color);
    outline: none;
}

textarea::placeholder{
    font-size: 1.1em;
}


/*------Projects Page-------*/
.project{
    background: var(--primary-color);
    padding-top: 8rem;
    padding-bottom: 1rem;
}

.project h2{
    font-size: 4rem;
    text-align: center;
    padding: 2rem 0;
    color: var(--secondry-color);
    font-family: var(--Josefin);
}

.project_container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 2rem;
}

.grid-item{
    display: grid;
    place-items: center;
}

.card{
    width: 320px;
    height: 320px;
    display: flex;
    flex-direction: column;
    border-radius: 0.5rem;
    overflow: hidden;
    transition: 0.2s ease-in-out;
}

.card img{
    width: 320px;
    height: 320px;
}

.card:hover{
    transform: scale(1.05);
    transition: 1s ease-in-out;
}

.card:hover img{
    transform: scale(1.05);
    transition: 0.3s ease-in-out;
    opacity: 0.8;
}

.card:hover .card_content{
    background: var(--sp-color);
    color: var(--secondry-color);
    transform: translateY(25px);
}

.card_content{
    padding: 2rem;
    position: relative;
    top: -6.5rem;
    margin-bottom: -6.5rem;
    transition: 0.5s ease-in-out;
    transform: translateY(100px);
}

.card_content h3{
    text-align: center;
}

.project-container{
    margin-left: 80px;
}

.card_content h3 a{
    text-decoration: none;
    color: var(--secondry-color);
}


/*-----Media Queries------*/
@media (max-width: 1024px){
    .project_container {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .grid-item {
        width: 100%;
    }

    .card {
        width: 500px;
        height: 400px;
    }

    .card img {
        width: 500px;
        height: 400px;
    }

    .project-container {
        margin-left: 10px;
    }
}
@media(max-width:950px){
    .image {
            height: 550px;
            width: 70%;
    }

    .hero {
        display: flex;
        flex-direction: column-reverse;
    }

    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }
}
@media(max-width:920px){
    .image{
        height: 520px;
        width: 70%;
    }
    .hero{
        display: flex;
        flex-direction: column-reverse;
    }
    .contant-wrap{
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }
    .hero .social-icons{
        display: flex;
        flex-direction: row;
    }
}
/*-----Screen Size 900px-----*/
@media(max-width:900px){
    nav .fa-bars{
        display: block;
    }
    nav ul{
        position: absolute;
        top: 100%;
        width: 100%;
        background-color: var(--primary-color);
        border-bottom: 1px solid var(--secondry-color);
        height: 350px;
        opacity: 0;
    }
    nav ul li{
        display: block;
        margin: 10px 0;
        padding: 10px 0;
        margin-left: 20px;
        border-bottom: 2px solid var(--secondry-color);
        width: 95%;
    }
    nav ul li:last-child{
        border: none;
    }
    nav li .fa-sun,nav li .fa-moon{
        margin-left: 20px;
    }
    nav .showmenu{
        opacity: 1;
    }
    .hero{
        flex-direction: column-reverse;
    }
    .image{
        width: 60%;
        margin-bottom: 30px;
        margin: 10px 0;
    }
    .contant-wrapper{
        margin-top: 40px;
        width: 70%;
    }
    .social-icons{
        flex-direction: row;
        margin: 50px 0;
        width: 60%;
    }
}

@media (max-width:800px){
    .image{
        height: 650px;
        width: 60%;
    }
}


@media(min-width:769px) and (max-width: 799px){
    .image{
        height: 500px;
        width: 65%;
    }
}


/*-----Screen Size 768px-----*/
@media (max-width:768px){
    .image{
        height: 500px;
        width: 75%;
    }
    .contant-wrapper{
        width: 90%;
    }
    .contant-wrapper p{
        width: 90%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }
    .project h2{
        font-size: 2rem;
    }
    .card{
        width: 500px;
        height: 400px;
    }
    .card img{
        width: 500px;
        height: 400px;
    }
    .project-container{
        margin-left: 10px;
    }
}

@media (max-width:650px){
    .image{
        height: 450px;
        width: 70%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }
}

@media (max-width:580px){
    .image{
        height: 420px;
        width: 70%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }
}

@media (max-width: 530px){
    .image{
        height: 420px;
        width: 80%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }

    .grid-item{
        width: 100%;
    }

    .card {
        width: 400px;
        height: 300px;
    }

    .card img {
        width: 400px;
        height: 300px;
    }

    .project-container {
        margin-left: 10px;
    }
}

@media (max-width:500px){
    .image{
        height: 420px;
        width: 85%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }
}

@media(max-width:450px){
    .image{
        height: 420px;
        width: 90%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }
}

@media(max-width:425px){
    .image{
        height: 425px;
        width: 100%;
    }
    .contant-wrap {
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }

    .contant-wrap h1 {
        font-size: 1.7em;
    }
    .card {
        width: 300px;
        height: 200px;
    }

    .card img {
        width: 300px;
        height: 200px;
    }

    .project-container {
        margin-left: 10px;
    }

    .project h2{
        font-size: 1.5rem;
    }
}

@media (max-width:420px){
    .image{
        height: 420px;
        width: 100%;
    }
    .contant-wrap{
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }
    .contant-wrap h1{
        font-size: 1.7em;
    }

}


/*-----Screen Size 400px-----*/
@media(max-width:400px){
    .image{
        height: 350px;
        width: 100%;
    }
    .contant-wrapper{
        width: 100%;
    }
    .contant-wrap{
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }
    .contant-wrap h1{
        font-size: 1.5em;
    }
}

@media (max-width: 375px){
    .image{
        height: 300px;
        width: 90%;
    }
    .contant-wrap{
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }
    .contant-wrap h1{
        font-size: 1.5em;
    }
    .project-container{
        margin-left: 0px;
    }
}

@media(max-width: 320px){
    .contant-wrapper h1{
        font-size: 1.8em;
    }
    .image{
        height: 320px;
        width: 100%;
    }
    .contant-wrap{
        width: 100%;
        margin-top: 20px;
        padding-bottom: 10px;
    }
    .contant-wrap h1{
        font-size: 1.5em;
    }
    .card{
        width: 100%;
        padding: 10px;
        
    }

    .card {
        width: 250px;
        height: 200px;
    }

    .card img {
        width: 250px;
        height: 200px;
    }

}

li .show{
    display: block;
}
li .hide{
    display: none;
}

